Skip to main content
GET
Staff award winners

Authorizations

X-Api-Key
string
header
required

Path Parameters

slug
string
required

Slug of the award type to get staff awards for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, awardTypeName, awardTypeLeague, awardTypeLeagueSlug, season, extra, staff, updatedAt

Available options:
id,
awardTypeName,
awardTypeLeague,
awardTypeLeagueSlug,
season,
extra,
staff,
updatedAt,
season.*,
staff.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
id,
-id,
season,
-season,
extra,
-extra,
staff,
-staff,
staff.dateOfBirth,
-staff.dateOfBirth,
staff.placeOfBirth,
-staff.placeOfBirth,
updatedAt,
-updatedAt
id
integer[]

Filter by id

id:gt
integer

Filter by id greater than

season
string

Filter by season slug

staff
integer[]

Filter by staff ID

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

isHighlighted
boolean

Filter by isHighlighted

trophyIcon:hasContent
boolean

Filter by trophyIcon has content

Response

200 - application/json

Staff award winners, paginated.

_meta
object
data
object[]